(setq mm-text-html-renderer 'w3m
      send-mail-function 'sendmail-send-it
      mail-interactive nil
      message-kill-buffer-on-exit t
      notmuch-search-oldest-first nil)

; swap r and R
(define-key notmuch-show-mode-map "r" 'notmuch-show-reply)
(define-key notmuch-show-mode-map "R" 'notmuch-show-reply-sender)
(define-key notmuch-search-mode-map "r" 'notmuch-search-reply-to-thread)
(define-key notmuch-search-mode-map "R" 'notmuch-search-reply-to-thread-sender)

(setq notmuch-fcc-dirs nil)
(add-hook 'message-header-setup-hook 'notmuch-bcc-header-setup)
(defun notmuch-bcc-header-setup ()
  (message-add-header "Bcc: gebner@gebner.org"))

(setq mail-specify-envelope-from t
      mail-envelope-from 'header
      message-sendmail-f-is-evil nil
      message-sendmail-envelope-from 'header)

(setq notmuch-address-command "~/etc/notmuch-address")
(notmuch-address-message-insinuate)

; start with inbox
(defun notmuch ()
  (interactive)
  (notmuch-search "tag:inbox"))
